## hmmer 3.3.2+dfsg

=== debian/changelog ===
hmmer (3.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: fix version matching
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debian/control: mark the '-doc' package as Multi-Arch: foreign
  * Refresh the patches.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/upstream/metadata: document their GitHub repo

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 31 Dec 2020 11:50:25 +0100
