## hmmer 3.4+dfsg

=== debian/changelog ===
hmmer (3.4+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc to respect Debian Policy 4.9.1.

  [ Santiago Vila ]
  * d/rules: Put V=VERBOSE at the beginning to be used in all targets.
  * d/rules: Do not filter nocheck in override_dh_auto_test, dh already does that.
  * d/rules: make tests after dh_auto_build, required by dh_installexamples.
    Fixes FTBFS when built with nocheck build profile. Closes: #1103312.
  * d/rules: Use execute_after_* where possible.
  * d/salsa-ci.yml: Use the simplified form.
  * d/salsa-ci.yml: Disable reprotest job, it does not work.
  * d/salsa-ci.yml: Enable nocheck build profile job.
  * d/control: Drop "Rules-Required-Root: no", no longer needed.
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 29 Sep 2025 14:45:00 +0200

hmmer (3.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: hmmer-examples contains arch-specific test programs, mark
    as "Architecture: any".

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Sep 2023 10:08:46 +0200

hmmer (3.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * refresh patches
  * d/control: enable building on arm64.
  * d/tests/control: tests needs python3

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Sep 2023 18:33:29 +0200
