=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Build-Depends: debhelper-compat (= 13),
                libdivsufsort-dev,
                python3
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/hmmer
 Vcs-Git: https://salsa.debian.org/med-team/hmmer.git
 Homepage: http://hmmer.org/
-Rules-Requires-Root: no
 
 Package: hmmer
-Architecture: any-amd64 any-i386 powerpc ppc64 x32
+Architecture: any-amd64 any-i386 arm64 powerpc ppc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: hmmer-doc (>= ${source:Version})
@@ -47,10 +46,11 @@
  This package contains the documentation and a tutorial for the hmmer package.
 
 Package: hmmer-examples
-Architecture: all
+Architecture: any
 Section: doc
 Depends: ${misc:Depends},
          libperl4-corelibs-perl
+Multi-Arch: foreign
 Description: profile hidden Markov models for protein sequence analysis (examples)
  HMMER is an implementation of profile hidden Markov model methods for
  sensitive searches of biological sequence databases using multiple sequence
