=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export V=VERBOSE
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/default.mk
@@ -25,6 +26,8 @@
     DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-vmx
  else ifeq (ppc64,$(ARCH))
     DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-vmx
+ else ifeq (arm64,$(ARCH))
+    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-neon
  else
     DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads
 endif
@@ -36,16 +39,13 @@
 	CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	export V=VERBOSE ; make check -j$(shell nproc) | tee debian/test_log
+	$(MAKE) check $(DEB_BUILD_OPTION_PARALLEL:%=-j %) | tee debian/test_log
 	if tail -n 6 debian/test_log | head -n 1 | grep -q FAILED ; then false ; fi
-endif
 
-override_dh_auto_build:
-	export V=VERBOSE ; dh_auto_build
+execute_after_dh_auto_build:
+	$(MAKE) tests $(DEB_BUILD_OPTION_PARALLEL:%=-j %)
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f testsuite/esltmp*
 	rm -f easel/testsuite/esltmp*
 	rm -f tutorial/MADE1.hmm.h3?
@@ -55,13 +55,11 @@
 override_dh_compress:
 	dh_compress -Xtutorial/
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/${DEB_HOST_MULTIARCH}/hmmer/
 	cp src/hmmc2 $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/${DEB_HOST_MULTIARCH}/hmmer/
 
-override_dh_installexamples:
-	dh_installexamples
+execute_after_dh_installexamples:
 	mkdir -p $(sampledir)/src/impl
 	find src/ -maxdepth 1 -name "*_utest" -exec cp \{\} $(sampledir)/src/ \;
 	find src/impl_sse -name "*_utest" -exec cp \{\} $(sampledir)/src/impl \;
@@ -74,8 +72,7 @@
 	find $(sampledir) -name 'Makefile' | xargs sed -i "s^$(CURDIR)^.^g"
 	find $(sampledir) -name "esltmp*" -delete
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	find debian -name .dropbox.attr -delete
 	find debian -name "*.fa" -executable -exec chmod -x \{\} \;
 	find $(sampledir) -name "*.man" -exec chmod -x \{\} \;
