=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
   http://hmmer.org/download.html .*/hmmer/hmmer-@ANY_VERSION@@ARCHIVE_EXT@
